---
title: List
slug: jiNw-list
description: Learn how to retrieve all users from a specific API endpoint using code examples. This document provides detailed information about the response, including user ID, email, name, role, and enabled status. Discover pagination details such as total user coun
docTags: 
createdAt: 2023-09-28T16:31:52.569Z
---

:::ApiMethodV2
```json
{
  "name": "Retrieve all Users",
  "method": "GET",
  "url": "https://data.successeve.com/v2/users",
  "description": " ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "s6hBJiQt_-goaw2ozK2Re",
        "language": "curl",
        "code": "curl -X GET https://data.successeve.com/v2/users \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "s6hBJiQt_-goaw2ozK2Re"
  },
  "results": {
    "languages": [
      {
        "id": "rcl0vORAmU_xeQvwqNYiV",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"user.list\",\n  \"data\": [\n    {\n      \"object\": \"user\",\n      \"id\": \"5d3bae5bcb4a287b44583a55\",\n      \"created_at\": 1564192347,\n      \"email\": \"jdoe@acme.com\",\n      \"name\": \"John Doe\",\n      \"role\": \"admin\",\n      \"enabled\": true\n    },\n    .....\n  ],\n  \"pagination\": {\n    \"total\": 4019,\n    \"offset\": 0,\n    \"limit\": 25,\n    \"count\": 25,\n    \"next\": \"https://data.successeve.com/v2/users?offset=25&limit=25\"\n  }\n}\n"
      },
      {
        "id": "YqvStDSYbOdf4cMbYTNvU",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "rcl0vORAmU_xeQvwqNYiV"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "offset",
        "kind": "optional",
        "type": "Number",
        "description": "What offset of results to fetch. Defaults to first item.",
        "children": []
      },
      {
        "name": "limit",
        "kind": "optional",
        "type": "Number",
        "description": "How many results per page. Defaults to 25, Max is 100.",
        "children": []
      },
      {
        "name": "order",
        "kind": "optional",
        "type": "string",
        "description": "Returns the accounts in ascending or descending order. Valid values: asc or desc. Defaults to desc.",
        "children": []
      },
      {
        "name": "sort",
        "kind": "optional",
        "type": "string",
        "description": "What field to sort the results by. Valid values: ‘created_at’",
        "children": []
      }
    ],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

